%define upstream_name    Locale-PO
%define upstream_version 0.27

Name:       perl-%upstream_name
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Locale::PO - Perl module for manipulating .po entries from GNU gettext
License:    Artistic, GPL
Group:      System/Libraries
Url:        http://www.cpan.org
Source0:    https://cpan.metacpan.org/authors/id/K/KE/KEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildArch:  noarch

%{?perl_default_filter}

%description
This module simplifies management of GNU gettext .po files and is an alternative to using emacs po-mode. It
provides an object-oriented interface in which each entry in a .po file is a Locale::PO object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm*
%doc Changes META.yml MYMETA.yml README


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.270.0-6.mga9
+ Revision: 1804252
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.270.0-5.mga8
+ Revision: 1495423
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.270.0-4.mga7
+ Revision: 1268901
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.270.0-3.mga6
+ Revision: 1029279
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.270.0-2.mga6
+ Revision: 965769
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 837146
- update to 0.27

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-4.mga5
+ Revision: 749145
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.240.0-3.mga5
+ Revision: 733162
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-2.mga5
+ Revision: 685250
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 658969
- Convert version

* Fri May 30 2014 sander85 <sander85> 0.24-1.mga5
+ Revision: 627908
- update to 0.24

* Mon Oct 21 2013 umeabot <umeabot> 0.23-2.mga4
+ Revision: 537303
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.23-1.mga4
+ Revision: 439469
- update to 0.23

* Sun Jan 13 2013 umeabot <umeabot> 0.22-2.mga3
+ Revision: 369170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 0.22-1.mga3
+ Revision: 288472
- update to 0.22

* Sun Sep 04 2011 dmorgan <dmorgan> 0.21-2.mga2
+ Revision: 138345
- Try to convert to perl spec file policy
- Clean spec file
+ gil <gil>
- imported package perl-Locale-PO

